pgxivocc:
  image: xivoxc/pgxivocc:latest

  ports:
  - 5443:5432

  volumes_from:
  - postgresvols
  - timezone

  environment:
  - POSTGRES_PASSWORD=xivocc

  restart: always

postgresvols:
  image: ubuntu:14.04.3

  volumes:
  - /var/lib/postgresql/data

xivo_replic:
  image: xivoxc/xivo-db-replication:latest

  links:
  - pgxivocc:db
  - elasticsearch:elasticsearch

  environment:
  - JAVA_OPTS=-Xms256m -Xmx256m
  - XIVO_HOST=192.168.51.93

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

xivo_stats:
  image: xivoxc/xivo-full-stats:latest

  links:
  - pgxivocc:db

  environment:
  - JAVA_OPTS=-Xms256m -Xmx2048m
  - XIVO_HOST=192.168.51.93

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

pack_reporting:
  image: xivoxc/pack-reporting:latest

  links:
  - pgxivocc:reporting

  environment:
  - WEEKS_TO_KEEP=52

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

elasticsearch:
  image: elasticsearch:1.7.2 

  ports:
  - "9200:9200"
  - "9300:9300" 

  volumes_from:
  - timezone

  restart: always

kibana_volumes:
  image: xivoxc/kibana_volume:latest

  restart: always

fingerboard:
  image: xivoxc/fingerboard:latest

  restart: always

nginx:
  image: xivoxc/xivoxc_nginx:latest

  ports:
  - 80:80

  links:
  - elasticsearch

  volumes_from:
  - kibana_volumes  
  - fingerboard

  restart: always

spagobi:
  image: xivoxc/spagobi:latest

  ports:
  - 9500:8080

  links:
  - pgxivocc:db

  volumes_from:
  - timezone

  restart: always

timezone:
  image: ubuntu:14.04.3

  volumes:
  - /etc/timezone:/etc/timezone:ro
  - /etc/localtime:/etc/localtime:ro

xivocclogs:
  image: ubuntu:14.04.3
  volumes:
  - /var/log/xivocc:/opt/docker/var/log

